(function ($) {
    'use strict';
    $(document).ready(function () {

        const recurse = (parent) => {

            if (parent.nodeName === 'SELECT' && parent.className === 'woo_lithuaniapost_lpexpress_terminal_id') {
                $(parent).select2({
                    width: 'resolve'
                });
                return;
            }
            if (parent.childNodes) {
                [...parent.childNodes].forEach(recurse);
            }
        };

        // select the target node
        var target = $('.cart-collaterals, #order_review');
        let terminalIdElem = $('.woo_lithuaniapost_lpexpress_terminal_id');
        if (terminalIdElem.length > 0) {
            $(terminalIdElem).select2({
                width: 'resolve'
            });
        }

        if (target) {
            // create an observer instance
            var observer = new MutationObserver(function (mutations) {
                //loop through the detected mutations(added controls)
                mutations.forEach(function (mutation) {
                    for (const node of mutation.addedNodes) {
                        recurse(node);
                    }
                });
            });
            let obsConfig = {
                childList: true,
                characterData: true,
                attributes: true,
                subtree: true
            };
            target.each(function () {
                observer.observe(this, obsConfig);
            });

            // later, you can stop observing
            //observer.disconnect();

            $(target).on('change', terminalIdElem, function () {
                const selectedOption = $(this).find(":selected");
                const terminalId = selectedOption.attr('data-value');
                $.ajax({
                    type: "POST",
                    dataType: "json",
                    url: woo_lithuaniapost.ajax_url,
                    data: {
                        action: "save_selected_lpexpress_terminal",
                        terminal: this.value,
                        terminal_id: terminalId
                    }
                });
            });
        }
    });
})(jQuery);